Bug 1098709 - org admin user cannot visit Configure -> Puppet Classes UI page
Summary: org admin user cannot visit Configure -> Puppet Classes UI page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Users & Roles
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Marek Hulan
QA Contact: Tazim Kolhar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-17 14:09 UTC by Tom McKay
Modified: 2017-02-23 21:17 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:08:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Foreman Issue Tracker 5541 None None None 2016-04-22 16:13:36 UTC

Description Tom McKay 2014-05-17 14:09:33 UTC
org admin role: https://github.com/Katello/hammer-cli-csv/blob/master/test/data/roles.csv#L120

Invalid search query: Field 'organization_id' not recognized for searching!

No errors apparent in log.

Comment 1 Tom McKay 2014-05-17 14:09:35 UTC
Created from redmine issue http://projects.theforeman.org/issues/5775

Comment 4 Bryan Kearney 2014-05-28 17:32:38 UTC
Connecting redmine issue http://projects.theforeman.org/issues/5541 from this bug

Comment 5 Bryan Kearney 2014-05-28 17:32:49 UTC
Connecting redmine issue http://projects.theforeman.org/issues/5541 from this bug

Comment 6 Bryan Kearney 2014-09-15 13:42:35 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/5541 has been closed
-------------
Marek Hulán
Could you please retest with develop branch? I think this was fixed in #5664 since you can't set taxonomy filters for resources that do not support it. See https://github.com/theforeman/foreman/commit/82b4749eeddabc542ebf1eaec6fdf2d76d2fdd75 for more details.
-------------
Marek Hulán
Applied in changeset commit:0b1527e4697b44b3d02334b96883f5407f991f66.

Comment 7 Tazim Kolhar 2014-11-14 14:46:06 UTC
VERIFIED

*** This bug is verified in upstream. This fix should eventually land in future downstream builds ***

Version Tested:

# rpm -qa | grep foreman
foreman-selinux-1.8.0-0.develop.201410280941git10de1c5.el6.noarch
foreman-1.8.0-0.develop.201411131901gitd5f92b3.el6.noarch
ruby193-rubygem-foreman_hooks-0.3.7-2.el6.noarch
qe-foreman-rhel65.usersys.redhat.com-foreman-client-1.0-1.noarch
qe-foreman-rhel65.usersys.redhat.com-qpid-client-cert-1.0-1.noarch
foreman-ovirt-1.8.0-0.develop.201411131901gitd5f92b3.el6.noarch
qe-foreman-rhel65.usersys.redhat.com-apache-1.0-1.noarch
ruby193-rubygem-foreman_docker-0.2.0-2.el6.noarch
rubygem-hammer_cli_foreman-0.1.3-1.201411121216git9381fc5.el6.noarch
ruby193-rubygem-foreman_discovery-1.4.0-2.el6.noarch
foreman-libvirt-1.8.0-0.develop.201411131901gitd5f92b3.el6.noarch
qe-foreman-rhel65.usersys.redhat.com-parent-cert-1.0-1.noarch
ruby193-rubygem-foreman_bootdisk-4.0.0-1.el6.noarch
foreman-proxy-1.8.0-0.develop.201411121327gitab6edc2.el6.noarch
qe-foreman-rhel65.usersys.redhat.com-puppet-client-1.0-1.noarch
foreman-compute-1.8.0-0.develop.201411131901gitd5f92b3.el6.noarch
foreman-gce-1.8.0-0.develop.201411131901gitd5f92b3.el6.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3-2.201409091410gitc96619d.git.0.37f3704.el6.noarch
qe-foreman-rhel65.usersys.redhat.com-foreman-proxy-1.0-1.noarch
qe-foreman-rhel65.usersys.redhat.com-qpid-broker-1.0-1.noarch
foreman-postgresql-1.8.0-0.develop.201411131901gitd5f92b3.el6.noarch
foreman-vmware-1.8.0-0.develop.201411131901gitd5f92b3.el6.noarch
foreman-release-1.8.0-0.develop.201411131901gitd5f92b3.el6.noarch
ruby193-rubygem-foreman-tasks-0.6.10-1.el6.noarch

Comment 8 Bryan Kearney 2015-08-11 13:29:36 UTC
This bug is slated to be released with Satellite 6.1.

Comment 9 errata-xmlrpc 2015-08-12 05:08:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.